<p>Tako je, u pravu ste!</p>

<p>Klima uređaj ne može biti siguran jer od trenutka kada je upravljački uređaj poslao poruku pa do trenutka kada je istu primila klima, moguće je da se dogodila smetnja zbog koje su bitovi pogrešno očitani u prijemnom sklopu klima-uređaja. Primjerice, moguće je da je upravljački sklop poslao poruku čiji je kod <code>10</code> te da je smetnja djelovala tijekom čitavog prijenosa poruke; iz tog razloga prijemni sklop u klima-uređaju je prvi bit pročitao kao <code>0</code> (umjesto <code>1</code>) a drugi bit kao <code>1</code> (umjesto <code>0</code>) te je u klima-uređaj proslijedio poruku <code>01</code> što odgovara naredbi za gašenje uređaja, a ne izvorno poslanoj naredbi kojom se traži pojačan rad klima-uređaja.</p>

<p>Mogući scenariji pojave i utjecaja smetnji na primljenu poruku prikazani su na slici u nastavku.</p>

<figure style="text-align: center;">
<img src="@#file#(greske1-hr.svg)" alt="Grafički prikaz kodiranja." border="0">
<figcaption>Utjecaj pogrešaka. Šalje se poruka <code>10</code>. Bez pogreške (gore), uz pogrešku na prvom bitu (gore-sredina), uz pogrešku na drugom bitu (dolje-sredina), uz pogreške na oba bita (dolje).</figcaption>
</figure>

